# $Revision: 1.10 $, $Date: 2010/12/07 18:50:52 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (encode_w-prefix test fails)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IDNA
%define		pnam	Punycode
Summary:	DEPRECATED module for IDNA and Punycode
Summary(pl.UTF-8):	PRZESTARZAŁY moduł do kodowania IDNA i Punycode
Name:		perl-IDNA-Punycode
Version:	1.001
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CF/CFAERBER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3052cad5a6fcd7141cf84540a6c26820
URL:		http://search.cpan.org/dist/IDNA-Punycode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IDNA::Punycode is a module to encode / decode Unicode strings into
Punycode, an efficient encoding of Unicode for use with IDNA.

Note: this module is deprecated; it's advised use Net::IDN::Encode or
Net::IDN::Punycode instead.

%description -l pl.UTF-8
IDNA::Punycode jest modułem służącym do kodowania / dekodowania ciągów
znaków Unicode w Punycode, czyli wydajnym kodowaniu Unicode do użytku
z IDNA.

Uwaga: ten moduł jest przestarzały; zaleca się używanie modułu
Net::IDN::Encode lub Net::IDN::Punycode.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/IDNA
%{perl_vendorlib}/IDNA/Punycode.pm
%{_mandir}/man3/IDNA::Punycode.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IDNA-Punycode.spec,v $
Revision 1.10  2010/12/07 18:50:52  qboosh
- up to 1.001; one test fails, but module is deprecated anyway

Revision 1.9  2008/07/27 22:37:33  arekm
- release 3

Revision 1.8  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.6  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.5  2004/11/03 22:30:26  paladine
- formatting

Revision 1.4  2004/05/31 16:55:39  qboosh
- pl fix, missing dir, release 2

Revision 1.3  2004/05/31 08:52:31  ankry
- license

Revision 1.2  2004/05/31 08:50:33  ankry
- pl, caps

Revision 1.1  2004/05/31 07:44:28  adamg
- new
